Page MenuHomePhabricator

Enable arbitrary access on English Wiktionary
Closed, ResolvedPublic

Description

After a discussion with the community on English Wiktionary, we should provide them arbitrary access to Wikidata data. This will allow them to experiment the use of Wikidata data, creating new use cases... before considering deploying on other Wiktionaries.

Examples of use cases:

    • Language codes, names and families
  • Information about a book (title, author...) for quotes

What should be done before:

  • deploy Cognate & Interwikisorting
  • deploy sitelinks for meta pages

Related Objects

StatusAssignedTask
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolvedaude
Resolved Addshore
Resolved Addshore
Resolvedjcrespo
Resolved Addshore
Resolved Addshore
ResolvedBawolff
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
DuplicateWMDE-leszek
ResolvedWMDE-leszek
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
Resolved Addshore
ResolvedMarostegui
Resolved Addshore
Resolved Addshore
Resolvedaude
ResolvedNone
OpenNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2017, 9:28 AM
Lydia_Pintscher triaged this task as Normal priority.Mar 23 2017, 2:41 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Nizil added a subscriber: Nizil.Jun 7 2017, 5:53 AM

The English Wiktionary community has voted to install Wikidata and Wikibase extensions in order to begin exploring uses for Wikidata data on Wiktionary.

Following the different discussions, I asked the community when they would like to have the feature deployed https://en.wiktionary.org/wiki/Wiktionary:Beer_parlour/2017/June#Enabling_Wikidata_arbitrary_access

@Daniel_Carrero The point of this ticket is not about installing a separate Wikibase extension for Wiktionary, but to allow the display of Wikidata data in the pages of English Wiktionary.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 8:46 PM

Change 376495 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add English Wiktionary as a client of Wikidata

https://gerrit.wikimedia.org/r/376495

Change 376495 merged by jenkins-bot:
[operations/mediawiki-config@master] Add English Wiktionary as a client of Wikidata

https://gerrit.wikimedia.org/r/376495

Mentioned in SAL (#wikimedia-operations) [2017-09-07T13:12:12Z] <zfilipin@tin> Synchronized dblists/wikidataclient.dblist: SWAT: [[gerrit:376495|Add English Wiktionary as a client of Wikidata (T159316)]] (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2017-09-07T13:13:06Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:376495|Add English Wiktionary as a client of Wikidata (T159316)]] (duration: 00m 49s)

Lydia_Pintscher closed this task as Resolved.Sep 7 2017, 5:20 PM
Lydia_Pintscher claimed this task.